<div class="eth-library-info">
    <p ng-if="$ctrl.shortHint" class="eth-library-info__hint">
        <span>{{$ctrl.shortHint}} <a ng-if="$ctrl.mailLink" href="mailto:{{$ctrl.mailLink}}">{{$ctrl.mailLinkText}}</a></span>
    </p>
    <div ng-if="$ctrl.libraryCode == 'E79'" class="eth-library-info__hint">
        <p>
            <strong>{{::$ctrl.ethConfigService.getLabel($ctrl.config[$ctrl.libraryCode], 'hint1')}}</strong>
            {{::$ctrl.ethConfigService.getLabel($ctrl.config[$ctrl.libraryCode], 'hint2')}}
            <a ng-if="$ctrl.mailLink" href="mailto:{{$ctrl.mailLink}}">{{$ctrl.mailLinkText}}</a>
        </p>
    </div>

    <div ng-if="$ctrl.libraryCode=='E33' && $ctrl.isSingleLocation" class="eth-library-info__hint eth-library-info__hint_e33">
        <p>
            {{::$ctrl.ethConfigService.getLabel($ctrl.config[$ctrl.libraryCode], 'hint')}}
            <a href="mailto:{{$ctrl.mailLink}}"><span>{{$ctrl.mailLinkText}}</span></a>
        </p>
    </div>
    <div ng-if="$ctrl.subLocationCode == 'E06LI'" class="eth-library-info__hint eth-library-info__hint_a06eq">
        <p>
            {{::$ctrl.ethConfigService.getLabel($ctrl.config['E06LI'], 'hint1')}}
            <strong>{{::$ctrl.ethConfigService.getLabel($ctrl.config['E06LI'], 'hint2')}}</strong>
            {{::$ctrl.ethConfigService.getLabel($ctrl.config['E06LI'], 'hint3')}}
        </p>
        <p>
            <strong>{{::$ctrl.ethConfigService.getLabel($ctrl.config['E06LI'], 'hint4')}}</strong>
            {{::$ctrl.ethConfigService.getLabel($ctrl.config['E06LI'], 'hint5')}}
            <a href="mailto:{{$ctrl.mailLink}}"><span>{{$ctrl.mailLinkText}}</span></a>
            {{::$ctrl.ethConfigService.getLabel($ctrl.config['E06LI'], 'hint6')}}
        </p>
    </div>
    <div ng-if="$ctrl.subLocationCode == 'E06EQ'" class="eth-library-info__hint eth-library-info__hint_a06eq">
        <p>
            {{::$ctrl.ethConfigService.getLabel($ctrl.config['E06EQ'], 'hint1')}}
            <strong>{{::$ctrl.ethConfigService.getLabel($ctrl.config['E06EQ'], 'hint2')}}</strong>
            {{::$ctrl.ethConfigService.getLabel($ctrl.config['E06EQ'], 'hint3')}}
        </p>
        <p>
            <strong>{{::$ctrl.ethConfigService.getLabel($ctrl.config['E06EQ'], 'hint4')}}</strong>
            {{::$ctrl.ethConfigService.getLabel($ctrl.config['E06EQ'], 'hint5')}}
            <a href="mailto:{{$ctrl.mailLink}}"><span>{{$ctrl.mailLinkText}}</span></a>
            {{::$ctrl.ethConfigService.getLabel($ctrl.config['E06EQ'], 'hint6')}}
        </p>
    </div>
    <div ng-if="$ctrl.subLocationCode == 'AETH'" class="eth-library-info__hint eth-library-info__hint_aeth">
            <strong>{{::$ctrl.ethConfigService.getLabel($ctrl.config['AETH'], 'hint1')}}</strong>
            <span>{{::$ctrl.ethConfigService.getLabel($ctrl.config['AETH'], 'hint2')}}</span>
            <a href="mailto:{{$ctrl.mailLink}}"><span>{{$ctrl.mailLinkText}}</span></a>
            <span>{{::$ctrl.ethConfigService.getLabel($ctrl.config['AETH'], 'hint3')}}</span>
    </div>

    <a class="eth-library-info__cms" target="_blank" ng-if="$ctrl.cmsUrl && $ctrl.libraryName" ng-href="{{$ctrl.cmsUrl}}" rel="noopener">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="black" width="30px" height="30px">
            <path d="M0 0h24v24H0V0z" fill="none"/>
            <path d="M11 7h2v2h-2zm0 4h2v6h-2zm1-9C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 18c-4.41 0-8-3.59-8-8s3.59-8 8-8 8 3.59 8 8-3.59 8-8 8z"/>
        </svg>
        <span>{{$ctrl.libraryName}}</span>
        <prm-icon external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="open-in-new"></prm-icon>
    </a>
</div>
